package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通关指南对象 b_www_news_ref
 * 
 * @author voluntary
 * @date 2023-10-19
 */
public class BWwwNewsRef extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 类别（政策解读、志愿选择、学习提升） */
    @Excel(name = "类别", readConverterExp = "政=策解读、志愿选择、学习提升")
    private String type;

    /** 子类别 */
    @Excel(name = "子类别")
    private String subType;

    /** 内容 */
    @Excel(name = "内容")
    private String description;

    /** 引用资讯ID */
    @Excel(name = "引用资讯ID")
    private String refIds;

    @Excel(name = "地区")
    private String location;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSubType(String subType) 
    {
        this.subType = subType;
    }

    public String getSubType() 
    {
        return subType;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setRefIds(String refIds) 
    {
        this.refIds = refIds;
    }

    public String getRefIds() 
    {
        return refIds;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("subType", getSubType())
            .append("description", getDescription())
            .append("refIds", getRefIds())
            .toString();
    }
}
